                         Computer Science 826
                             Fall  2003
Instructor:
            Dr. Mike Westall
            Edwards 430
            656-5868 (Office)
            westall@cs.clemson.edu
Office hrs:
            10:00 - 12:00  Tu, Th
            2:30  -  3:30   M, W

            Other hours available by appointment.
            Please see me after class or contact me by e-mail
            when you need to make one. You are also free to ask
            questions via e-mail.. If the question has a long
            answer, I may ask you to see me in person.

Texts:      TCP/IP Illustrated Vol 1.
            by W. Richard Stevens

            Lecture Notes by J. M. Westall
            --> Campus Copy Shop (Rubin Square) a steal @ ~$10

Topics:     Chapters 1-14, 17-25

Grading:
            Exam                25%
            Assignments         25%
            Weekly quizzes (n)  50%

            Final avg >=      insures grade no worse than
                  90                A
                  80                B
                  70                C
                  60                D

Zero or more quizzes will be dropped. Two  comprehensive makeup
quizzes will be given near the time of the final exam.  No other makeup
quizzes will be given.  Weekly quizzes will be generally be given on
Friday, but the date is subject to change. You will always be given
at least one class's prior notice.

Assignments will consist of a combination of programming and writing of
research reports describing the results you obtain with your programs.
Weight will be (roughly) 2/3 on the program and 1/3 on the research
report. The the research report will be evaluated using accepted
standards for reviewing scientific papers: is it written in correct
English; is spelling correct; is it well organized; does it present the
material in an understandable way; does it contain unnecessary verbage?

Unless explicitly stated otherwise, all work is expected to be your own
individual, unaided (except by ME) effort.. When you are directed not
to discuss the assignment with other students, I consider this policy
to have been violated EVEN IF YOU SIMPLY ASK ANOTHER STUDENT IF SHE OR
HE HAS STARTED (OR FINISHED) THE ASSIGNMENT. Violations of this policy
will be subject to the penalties for academic dishonesty. YOU are
responsible for protecting your work, and you will NOT be held
blameless should another student copy from your unprotected directory.

Late assignments will be subject to a deduction of n^2 where n is the
number of days late. Assignments will be due no later than 11:59pm on
the due date. Weekend days count in the deduction computation.

Directory /home/westall/class/826 on the CS dept SUN network contains
some old tests and sample programs. Assignment specs and answers to
FAQs will be placed there as well.
